Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class RuntimeOperationsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.management.JMRuntimeException
                      javax.management.RuntimeOperationsException

All Implemented Interfaces:
  Serializable

public class RuntimeOperationsException
extends JMRuntimeException

Wraps runtime exceptions thrown when performing operations on MBeans.

Version:
  $Revision: 1.9 $

  Revisions:

  20020313 Juha Lindfors:

  - Overriding toString() to print out the root exception

  20020711 Adrian Brock:

  - Serialization
Author:
  Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`RuntimeOperationsException(RuntimeException e)` Construct a new RuntimeOperationsException from a given runtime exception.
`RuntimeOperationsException(RuntimeException e, String message)` Construct a new RuntimeOperationsException from a given runtime exception and message.

Method Summary
`Throwable` | `getCause()` Retrieves the wrapped runtime exception.
`RuntimeException` | `getTargetException()` Retrieves the wrapped runtime exception.
`String` | `toString()` Returns a string representation of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeOperationsException

    public RuntimeOperationsException(RuntimeException e)

  Construct a new RuntimeOperationsException from a given runtime exception.

Parameters:
  `e` - the runtime exception to wrap.

### RuntimeOperationsException

    public RuntimeOperationsException(RuntimeException e,
                                      String message)

  Construct a new RuntimeOperationsException from a given runtime exception and message.

Parameters:
  `e` - the runtime exception to wrap.
  `message` - the specified message.

Method Detail

### getTargetException

    public RuntimeException getTargetException()

  Retrieves the wrapped runtime exception.

  Returns:
    the wrapped runtime exception.

### getCause

    public Throwable getCause()

  Retrieves the wrapped runtime exception.

  Returns:
    the wrapped runtime exception.

### toString

    public String toString()

  Returns a string representation of this exception. The returned string contains this exception name, message and a string representation of the target exception if it has been set.

  Returns:
    string representation of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.